/*
 * Copyright (c) 2018, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * WSO2 Inc. licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.wso2.carbon.identity.user.rename.core.service;

import org.wso2.carbon.identity.user.rename.core.dto.StatusDTO;
import org.wso2.carbon.identity.user.rename.core.dto.UserDTO;
import org.wso2.carbon.identity.user.rename.core.exception.UsernameUpdateException;

/**
 * Service interface for username update.
 */
public interface UsernameUpdateService {

    /**
     * Updates the username of the given user.
     *
     * @param userDTO the user object that includes identification parameters and the new username {@link UserDTO}
     * @return StatusDTO {@link StatusDTO} object that represents the status of the username update process
     * @throws UsernameUpdateException
     */
    public StatusDTO updateUsername (UserDTO userDTO) throws UsernameUpdateException;

}
